<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/game/test.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_b0ef9bf4b1088606ddc71a6c73915b53.html">game</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;catch.hpp&quot;</code><br />
<code>#include &quot;<a class="el" href="player_8hpp_source.html">player.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="game_8hpp_source.html">game.hpp</a>&quot;</code><br />
<code>#include &lt;QFile&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="game_2test_8cpp__incl.png" border="0" usemap="#backend_2src_2lib_2game_2test_8cpp" alt=""/></div>
<map name="backend_2src_2lib_2game_2test_8cpp" id="backend_2src_2lib_2game_2test_8cpp">
<area shape="rect" title=" " alt="" coords="537,5,697,47"/>
<area shape="rect" title=" " alt="" coords="413,95,498,121"/>
<area shape="rect" href="player_8hpp.html" title=" " alt="" coords="137,169,227,196"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="573,95,660,121"/>
<area shape="rect" title=" " alt="" coords="1339,169,1465,196"/>
<area shape="rect" title=" " alt="" coords="736,95,791,121"/>
<area shape="rect" title=" " alt="" coords="241,244,299,271"/>
<area shape="rect" title=" " alt="" coords="947,244,1027,271"/>
<area shape="rect" title=" " alt="" coords="5,244,68,271"/>
<area shape="rect" title=" " alt="" coords="1051,244,1153,271"/>
<area shape="rect" title=" " alt="" coords="92,244,216,271"/>
<area shape="rect" href="ChatBackend_8hpp.html" title=" " alt="" coords="1135,169,1314,196"/>
<area shape="rect" title=" " alt="" coords="302,169,371,196"/>
<area shape="rect" title=" " alt="" coords="395,169,454,196"/>
<area shape="rect" title=" " alt="" coords="478,169,550,196"/>
<area shape="rect" title=" " alt="" coords="574,169,659,196"/>
<area shape="rect" title=" " alt="" coords="684,169,755,196"/>
<area shape="rect" title=" " alt="" coords="779,169,876,196"/>
<area shape="rect" title=" " alt="" coords="900,169,971,196"/>
<area shape="rect" title=" " alt="" coords="995,169,1060,196"/>
<area shape="rect" title=" " alt="" coords="1177,244,1272,271"/>
<area shape="rect" title=" " alt="" coords="1296,244,1369,271"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a656eb5868e824d59f489f910db438420"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a656eb5868e824d59f489f910db438420">CATCH_CONFIG_MAIN</a></td></tr>
<tr class="separator:a656eb5868e824d59f489f910db438420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a1d6e1a12975a4e9a0b5b952e79eaad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a6a1d6e1a12975a4e9a0b5b952e79eaad">private</a>&#160;&#160;&#160;public</td></tr>
<tr class="separator:a6a1d6e1a12975a4e9a0b5b952e79eaad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af558f306b184378d6418c26915bfb813"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#af558f306b184378d6418c26915bfb813">loadJson</a> (const QString &amp;fpath)</td></tr>
<tr class="separator:af558f306b184378d6418c26915bfb813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc5dd28f6b9eb547c474378344a28ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a6bc5dd28f6b9eb547c474378344a28ad">TEST_CASE</a> (&quot;Test - konstruisanje objekta klase <a class="el" href="classPlayer.html">Player</a>&quot;, &quot;[<a class="el" href="classPlayer.html">Player</a>]&quot;)</td></tr>
<tr class="separator:a6bc5dd28f6b9eb547c474378344a28ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac024362a1358e8e725698bb7fa046e8a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#ac024362a1358e8e725698bb7fa046e8a">TEST_CASE</a> (&quot;Dodavanje karte u ruku igraca&quot;, &quot;[<a class="el" href="classPlayer.html">Player</a>]&quot;)</td></tr>
<tr class="separator:ac024362a1358e8e725698bb7fa046e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b3363ca567888ab6d9c2d9b25e81a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a67b3363ca567888ab6d9c2d9b25e81a1">TEST_CASE</a> (&quot;Testiranje metoda drawCard&quot;, &quot;[<a class="el" href="classPlayer.html">Player</a>]&quot;)</td></tr>
<tr class="separator:a67b3363ca567888ab6d9c2d9b25e81a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed927fc435ca56aaeb29faceae2079af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#aed927fc435ca56aaeb29faceae2079af">TEST_CASE</a> (&quot;Testiranje metoda addPoints&quot;, &quot;[<a class="el" href="classPlayer.html">Player</a>]&quot;)</td></tr>
<tr class="separator:aed927fc435ca56aaeb29faceae2079af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d311cc3b33fbf8500705aa3c6c3e1e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a1d311cc3b33fbf8500705aa3c6c3e1e5">TEST_CASE</a> (&quot;Testiranje metoda fromJson&quot;, &quot;[<a class="el" href="classPlayer.html">Player</a>]&quot;)</td></tr>
<tr class="separator:a1d311cc3b33fbf8500705aa3c6c3e1e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9f12fbf05ae5e94769a3622986a783"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#aff9f12fbf05ae5e94769a3622986a783">TEST_CASE</a> (&quot;Testiranje kreiranja objekta klase <a class="el" href="classGame.html">Game</a>&quot;, &quot;[<a class="el" href="classGame.html">Game</a>]&quot;)</td></tr>
<tr class="separator:aff9f12fbf05ae5e94769a3622986a783"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef8883ac9f2125c6106e6088d18a92a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#aef8883ac9f2125c6106e6088d18a92a8">TEST_CASE</a> (&quot;Testiranje inicijalizacije partije&quot;, &quot;[<a class="el" href="classGame.html">Game</a>&quot;)</td></tr>
<tr class="separator:aef8883ac9f2125c6106e6088d18a92a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6534224f0b6d770185c040246bc9cc94"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a6534224f0b6d770185c040246bc9cc94">TEST_CASE</a> (&quot;Testiranje metode addPlayer&quot;, &quot;[<a class="el" href="classGame.html">Game</a>]&quot;)</td></tr>
<tr class="separator:a6534224f0b6d770185c040246bc9cc94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae3b7b3301bb2515a9c3ff2428289d93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#aae3b7b3301bb2515a9c3ff2428289d93">TEST_CASE</a> (&quot;Testiranje metoda narratorChoice&quot;, &quot;[<a class="el" href="classGame.html">Game</a>]&quot;)</td></tr>
<tr class="separator:aae3b7b3301bb2515a9c3ff2428289d93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fe35b2eee3f43ed2224a4d65ab788d2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="game_2test_8cpp.html#a9fe35b2eee3f43ed2224a4d65ab788d2">TEST_CASE</a> (&quot;Biranje karte iz ruke igraca koji nije narator&quot;, &quot;[<a class="el" href="classGame.html">Game</a>]&quot;)</td></tr>
<tr class="separator:a9fe35b2eee3f43ed2224a4d65ab788d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a656eb5868e824d59f489f910db438420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a656eb5868e824d59f489f910db438420">&#9670;&nbsp;</a></span>CATCH_CONFIG_MAIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CATCH_CONFIG_MAIN</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a1d6e1a12975a4e9a0b5b952e79eaad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a1d6e1a12975a4e9a0b5b952e79eaad">&#9670;&nbsp;</a></span>private</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define private&#160;&#160;&#160;public</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="af558f306b184378d6418c26915bfb813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af558f306b184378d6418c26915bfb813">&#9670;&nbsp;</a></span>loadJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject loadJson </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>fpath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fe35b2eee3f43ed2224a4d65ab788d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fe35b2eee3f43ed2224a4d65ab788d2">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[1/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Biranje karte iz ruke igraca koji nije narator&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Game]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac024362a1358e8e725698bb7fa046e8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac024362a1358e8e725698bb7fa046e8a">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[2/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Dodavanje karte u ruku igraca&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Player]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bc5dd28f6b9eb547c474378344a28ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bc5dd28f6b9eb547c474378344a28ad">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[3/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Test - konstruisanje objekta klase <a class="el" href="classPlayer.html">Player</a>&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Player]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef8883ac9f2125c6106e6088d18a92a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef8883ac9f2125c6106e6088d18a92a8">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[4/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje inicijalizacije partije&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;[Game&quot;&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff9f12fbf05ae5e94769a3622986a783"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff9f12fbf05ae5e94769a3622986a783">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[5/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje kreiranja objekta klase <a class="el" href="classGame.html">Game</a>&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Game]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed927fc435ca56aaeb29faceae2079af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed927fc435ca56aaeb29faceae2079af">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[6/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje metoda addPoints&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Player]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67b3363ca567888ab6d9c2d9b25e81a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67b3363ca567888ab6d9c2d9b25e81a1">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[7/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje metoda drawCard&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Player]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d311cc3b33fbf8500705aa3c6c3e1e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d311cc3b33fbf8500705aa3c6c3e1e5">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[8/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje metoda fromJson&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Player]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae3b7b3301bb2515a9c3ff2428289d93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae3b7b3301bb2515a9c3ff2428289d93">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[9/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje metoda narratorChoice&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Game]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6534224f0b6d770185c040246bc9cc94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6534224f0b6d770185c040246bc9cc94">&#9670;&nbsp;</a></span>TEST_CASE() <span class="overload">[10/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TEST_CASE </td>
          <td>(</td>
          <td class="paramtype">&quot;Testiranje metode addPlayer&quot;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&quot;&quot;&#160;</td>
          <td class="paramname">[Game]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
